package com.zd.laboratory.domain.vo;

import cn.hutool.core.util.StrUtil;
import com.zd.common.core.domain.qc.QCInterface;
import com.zd.laboratory.domain.LabSubject;
import com.zd.laboratory.interfaces.SysProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * 实验室VO
 *
 * @Author: zhoupan
 * @Date: 2021/09/07/15:17
 * @Description:
 */
@ApiModel("实验室管理类")
public class LabSubjectVO extends LabSubject {

    @ApiModelProperty("楼栋名称")
    private String buildName;

    @ApiModelProperty("楼栋名称")
    private String building;

    @ApiModelProperty(value = "楼层名称")
    private String floorName;

    @ApiModelProperty(value = "房间名称")
    private String roomName;

    @ApiModelProperty("实验室学科")
    private String subDept;

    @ApiModelProperty("危险级别名称")
    private String dangerName;

    @ApiModelProperty("负责人名称")
    private String adminName;

    @ApiModelProperty("是否申请")
    private Boolean isApply;

    @ApiModelProperty("危险源list")
    private List<LabHazardVO> labHazardList;

    @ApiModelProperty("实验室多个ids")
    private String[] subjectIds;

    @ApiModelProperty("申请准入资格审核状态0=未通过,1=已办理,2=待审核,3=即将过期,4=已过期")
    private Integer recordContent;

    @ApiModelProperty("申请准入资格id")
    private Integer appId;

    @ApiModelProperty("安全负责人名称")
    private String safeUserName;

    @ApiModelProperty("安全负责人手机号")
    private String safeUserPhone;

    @ApiModelProperty("负责人手机号")
    private String adminPhone;

    @ApiModelProperty("安全分级名称")
    private String levelName;

    @ApiModelProperty("安全分级颜色编码")
    private String fiedColor;

    @ApiModelProperty("安全分类名称")
    private String typeName;

    @ApiModelProperty("院系id")
    private String groupDeptId;

    private Integer pageNumStr;

    private Integer pageSizeStr;

    private Integer whiteUserId;

    private Integer subjectId;

    @ApiModelProperty(value = "实验室类型名称")
    private String moldName;

    @ApiModelProperty(value = "预案id")
    private Long riskId;

    @ApiModelProperty(value = "关键字")
    private String searchValue;

    private String safeUserNameAdminPhone;

    private String adminNameAndPhone;

    @ApiModelProperty(value = "化学品临界值危险指标")
    private String riskIndicator = "无化学品";

    public LabSubjectVO() {
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getBuildName() {
        return buildName;
    }

    public void setBuildName(String buildName) {
        this.buildName = buildName;
    }

    public String getBuilding() {        return building;    }

    public void setBuilding(String building) {        this.building = building;    }

    public String getSubDept() {
        return subDept;
    }

    public void setSubDept(String subDept) {
        this.subDept = subDept;
    }

    public String getDangerName() {
        return dangerName;
    }

    public void setDangerName(String dangerName) {
        this.dangerName = dangerName;
    }

    public Boolean getIsApply() {
        return isApply;
    }

    public void setIsApply(Boolean isApply) {
        this.isApply = isApply;
    }

    public List<LabHazardVO> getLabHazardList() {
        return labHazardList;
    }

    public void setLabHazardList(List<LabHazardVO> labHazardList) {
        this.labHazardList = labHazardList;
    }

    public String[] getSubjectIds() {
        return subjectIds;
    }

    public void setSubjectIds(String[] subjectIds) {
        this.subjectIds = subjectIds;
    }

    public Integer getRecordContent() {
        return recordContent;
    }

    public void setRecordContent(Integer recordContent) {
        this.recordContent = recordContent;
    }

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public String getSafeUserName() {
        return safeUserName;
    }

    public void setSafeUserName(String safeUserName) {
        this.safeUserName = safeUserName;
    }

    public String getSafeUserPhone() {
        return safeUserPhone;
    }

    public void setSafeUserPhone(String safeUserPhone) {
        this.safeUserPhone = safeUserPhone;
    }

    public String getAdminPhone() {
        return adminPhone;
    }

    public void setAdminPhone(String adminPhone) {
        this.adminPhone = adminPhone;
    }


    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getFiedColor() {
        return fiedColor;
    }

    public void setFiedColor(String fiedColor) {
        this.fiedColor = fiedColor;
    }

    public String getGroupDeptId() {
        return groupDeptId;
    }

    public void setGroupDeptId(String groupDeptId) {
        this.groupDeptId = groupDeptId;
    }

    public Integer getPageNumStr() {
        return pageNumStr;
    }

    public void setPageNumStr(Integer pageNumStr) {
        this.pageNumStr = pageNumStr;
    }

    public Integer getPageSizeStr() {
        return pageSizeStr;
    }

    public void setPageSizeStr(Integer pageSizeStr) {
        this.pageSizeStr = pageSizeStr;
    }

    public Integer getWhiteUserId() {
        return whiteUserId;
    }

    public void setWhiteUserId(Integer whiteUserId) {
        this.whiteUserId = whiteUserId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getMoldName() {
        return moldName;
    }

    public void setMoldName(String moldName) {
        this.moldName = moldName;
    }

    public Long getRiskId() {
        return riskId;
    }

    public void setRiskId(Long riskId) {
        this.riskId = riskId;
    }

    @Override
    public String getSearchValue() {
        return searchValue;
    }

    @Override
    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public String getAdminNameAndPhone() {
        return adminNameAndPhone;
    }

    public void setAdminNameAndPhone(String adminNameAndPhone) {
        this.adminNameAndPhone = adminNameAndPhone;
    }

    public String getSafeUserNameAdminPhone() {
        return safeUserNameAdminPhone;
    }

    public void setSafeUserNameAdminPhone(String safeUserNameAdminPhone) {
        this.safeUserNameAdminPhone = safeUserNameAdminPhone;
    }

    public String getRiskIndicator() {
        return riskIndicator;
    }

    public void setRiskIndicator(String riskIndicator) {
        this.riskIndicator = riskIndicator;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }
}
